<?php
//
//
#Автор: Jquery
#telegram: @justin_olivier
//
//
// Пагинация //
function page($param,$page,$total) {
if($total > 1): ?>

<?php if ($page != 1): ?><a title="Перейти на первую страницу" href="<?php echo $param;?>page=1" class="navi"><span>&laquo;</span></a><?php endif;
if($page - 4 > 0):?><a title="Перейти на <?php echo ($page - 4);?> страницу" class="navi" href="<?php echo $param;?>page=<?php echo $page - 4;?>"><?php echo $page - 4;?></a><?php endif;
if($page - 3 > 0):?><a title="Перейти на <?php echo ($page - 3);?> страницу" class="navi" href="<?php echo $param;?>page=<?php echo $page - 3;?>"><?php echo $page - 3;?></a><?php endif; 
if($page - 2 > 0):?><a title="Перейти на <?php echo ($page - 2);?> страницу" class="navi" href="<?php echo $param;?>page=<?php echo $page - 2;?>"><?php echo $page - 2;?></a><?php endif; 
if($page - 1 > 0):?><a title="Перейти на <?php echo ($page - 1);?> страницу" class="navi" href="<?php echo $param;?>page=<?php echo $page - 1;?>"><?php echo $page - 1;?></a><?php endif; 
?><a title="Текущая страница" class="navi2" href="#"><?php echo $page?></a><?php
if($page + 1 <= $total):?><a title="Перейти на <?php echo ($page + 1);?> страницу" class="navi" href="<?php echo $param;?>page=<?php echo $page + 1;?>"><?php echo $page + 1;?></a><?php endif;
if($page + 2 <= $total):?><a title="Перейти на <?php echo ($page + 2);?> страницу" class="navi" href="<?php echo $param;?>page=<?php echo $page + 2;?>"><?php echo $page + 2;?></a><?php endif;
if($page + 3 <= $total):?><a title="Перейти на <?php echo ($page + 3);?> страницу" class="navi" href="<?php echo $param;?>page=<?php echo $page + 3;?>"><?php echo $page + 3;?></a><?php endif;
if($page + 4 <= $total):?><a title="Перейти на <?php echo ($page + 4);?> страницу" class="navi" href="<?php echo $param;?>page=<?php echo $page + 4;?>"><?php echo $page + 4;?></a><?php endif;
if($page != $total):?><a title="Перейти на последнюю страницу" class="navi" href="<?php echo $param;?>page=<?php echo $total;?>"><span>&raquo;</span></a><?php endif; ?>

<br><br>
<?php
endif;
}
//
//